%define name librep
%define version 0.11.3
%define release 1mdk
%define prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib

Name:		%{name}
Summary:	Embedded LISP environment
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Other
URL:		http://librep.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
PreReq:		/sbin/install-info
BuildRoot:	/var/tmp/%{name}-%{version}
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
This is a lightweight LISP environment for UNIX. It contains a LISP 
interpreter, byte-code compiler and virtual machine. Applications may use the 
LISP interpreter as an extension language, or it may be used for standalone 
scripts.

Originally inspired by Emacs Lisp, the language dialect combines many of the 
elisp features while trying to remove some of the main deficiencies, with 
features from Common Lisp.


%package devel
Summary:	librep include files and link libraries
Group:		Development/Other
Requires:	%{name}

%description devel
Link libraries and C header files for librep development.

%prep
%setup -q


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

CFLAGS="-g $RPM_OPT_FLAGS" ./configure \
    --prefix=%{prefix} --sysconfdir=%{sysconfdir} \
    --localstatedir=%{localstatedir}
make


%install
make install prefix=$RPM_BUILD_ROOT%{prefix} \
    sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
    localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
    aclocaldir=$RPM_BUILD_ROOT%{prefix}/share/aclocal

gzip -9nf $RPM_BUILD_ROOT%{prefix}/info/librep*


%post
/sbin/ldconfig
#/sbin/install-info /usr/info/librep.info.gz /usr/info/dir


%preun
#if [ "$1" = 0 ]; then
#    /sbin/install-info --delete /usr/info/librep.info.gz /usr/info/dir
#fi


%postun
/sbin/ldconfig


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root,0755)
%doc NEWS README THANKS etc/TODO
%{prefix}/bin/rep
%{prefix}/bin/rep-remote
%{prefix}/lib/librep.so.*
%{prefix}/share/rep/%{version}
%{prefix}/libexec/rep/%{version}/%{_host}
%{prefix}/info/librep*

%files devel
%defattr (-,root,root,0755)
%{prefix}/bin/rep-config
%{prefix}/bin/rep-xgettext
%{prefix}/bin/repdoc
%{prefix}/lib/librep.so
%{prefix}/include/rep.h
%{prefix}/include/rep_*.h
%{prefix}/libexec/rep/%{_host}/libtool
%{prefix}/libexec/rep/%{_host}/rules.mk
%{prefix}/share/aclocal/rep.m4

%changelog
* Tue Apr 18 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.11.3-1mdk
- fix group
- specfile fixes, should work with helixcode for gnome
- 0.11.3

* Tue Mar 28 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.11-1mdk
- Use the helixcode package for gnome.
- Mandrakized. 

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.11.1

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.11

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
